#include <SPI.h>
#include "nRF24L01.h"
#include "RF24.h"
#include "printf.h"

// Hardware configuration: Set up nRF24L01 radio on SPI bus plus pins 7 & 8 
RF24 radio(7,8);

byte addresses[][6] = {
  "1Node","2Node"};

void setup() {
  Serial.begin(57600);
  printf_begin();


  // Setup and configure rf radio
  radio.begin();                          // Start up the radio
  radio.setAutoAck(1);                    // Ensure autoACK is enabled
  radio.setRetries(15,15);                // Max delay between retries & number of retries
  radio.openWritingPipe(addresses[0]);
  radio.openReadingPipe(1,addresses[1]);

  radio.startListening();                 // Start listening
//  printf("\n\rListening started\n\r");  
//  radio.printDetails();                   // Dump the configuration of the rf unit for debugging
}

void loop(void){
  if( radio.available())
  {
    unsigned long got_time;                                       // Variable for the received timestamp
    while (radio.available()) {                                   // While there is data ready
      radio.read( &got_time, sizeof(unsigned long) );             // Get the payload
    }    

//    radio.stopListening();                                        // First, stop listening so we can talk   
//    radio.write( &got_time, sizeof(unsigned long) );              // Send the final one back.      
//    radio.startListening();                                       // Now, resume listening so we catch the next packets.     
    printf("Received: %lu \n\r", got_time);  
  }
}


